com.icesoft.faces.component.paneltooltip

## Class PanelTooltip

- java.lang.Object
- - javax.faces.component.UIComponent
  - - javax.faces.component.UIComponentBase
    - - javax.faces.component.UIPanel
      - - javax.faces.component.html.HtmlPanelGroup
        - - com.icesoft.faces.component.ext.HtmlPanelGroup
          - - com.icesoft.faces.component.panelpopup.PanelPopup
            - - com.icesoft.faces.component.paneltooltip.PanelTooltip

- All Implemented Interfaces:
    java.util.EventListener, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder, org.icefaces.impl.component.SeriesStateHolder

      public class PanelTooltip
      extends PanelPopup

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class javax.faces.component.html.HtmlPanelGroup

      `javax.faces.component.html.HtmlPanelGroup.PropertyKeys`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `COMPONENT_TYPE` The component type.
    `static java.lang.String` | `DEFAULT_RENDERER_TYPE` The default renderer type.
    `static java.lang.String` | `ICE_TOOLTIP_INFO`

    - ### Fields inherited from class com.icesoft.faces.component.ext.HtmlPanelGroup

      `RENDERER_TYPE, SCROLLABLE_STYLE, visible`

    - ### Fields inherited from class javax.faces.component.UIPanel

      `COMPONENT_FAMILY`

    - ### Fields inherited from class javax.faces.component.UIComponent

      `ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PanelTooltip()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `applyStyle(javax.faces.context.FacesContext facesContext, org.w3c.dom.Element root)`
    `void` | `broadcast(javax.faces.event.FacesEvent event)`
    `void` | `decode(javax.faces.context.FacesContext context)`
    `static void` | `decodeTooltip(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent target)`
    `void` | `encodeBegin(javax.faces.context.FacesContext context)`
    `javax.faces.el.MethodBinding` | `getDisplayListener()` Return the value of the `displayListener` property.
    `java.lang.String` | `getDisplayOn()`
    `java.lang.String` | `getHideOn()`
    `int` | `getHoverDelay()`
    `java.lang.String` | `getStyleClass()` Return the value of the `styleClass` property.
    `static TooltipInfo` | `getTooltipInfo(javax.faces.component.UIComponent tooltipComponent, java.lang.String tooltipClientId)`
    `javax.faces.component.UIComponent` | `getTooltipSrcComponent()` Deprecated.
    `boolean` | `isDynamic()`
    `boolean` | `isMoveWithMouse()`
    `boolean` | `isVisible()` Return the value of the `visible` property.
    `static void` | `populateTooltipInfo(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent target, java.lang.String tooltipinfo)`
    `void` | `processUpdates(javax.faces.context.FacesContext context)`
    `void` | `restoreState(javax.faces.context.FacesContext context, java.lang.Object state)` Perform any processing required to restore the state from the entries in the state Object.
    `java.lang.Object` | `saveState(javax.faces.context.FacesContext context)` Gets the state of the instance as a `Serializable` Object.
    `void` | `setDisplayListener(javax.faces.el.MethodBinding displayListener)` Set the value of the `displayListener` property.
    `void` | `setDisplayOn(java.lang.String displayOn)`
    `void` | `setHideOn(java.lang.String hideOn)`
    `void` | `setHoverDelay(int hoverDelay)`
    `void` | `setMoveWithMouse(boolean moveWithMouse)`
    `void` | `setStyleClass(java.lang.String styleClass)`
    `void` | `setTooltipSrcComponent(javax.faces.component.UIComponent tooltipSrcComponent)` Deprecated.
    `void` | `updateModal(javax.faces.context.FacesContext context)`

    - ### Methods inherited from class com.icesoft.faces.component.panelpopup.PanelPopup

      `getAutoPosition, getBody, getBodyClass, getHeader, getHeaderClass, getStyle, getTitle, isAutoCentre, isClientOnly, isDragged, isModal, isPositionOnLoadOnly, isRendered, isResizable, isRunningModal, isVisibilityChanged, processDecodes, setAutoCentre, setAutoPosition, setClientOnly, setDragged, setModal, setPositionOnLoadOnly, setResizable, setRunningModal, setStyle, setTitle`

    - ### Methods inherited from class com.icesoft.faces.component.ext.HtmlPanelGroup

      `getContextValue, getCurrentStyle, getDraggable, getDragListener, getDragMask, getDragOptions, getDragValue, getDropListener, getDropMask, getDropTarget, getDropTargetScrollerId, getDropValue, getEffect, getHoverclass, getMenuPopup, getOnclick, getOnclickeffect, getOndblclick, getOndblclickeffect, getOnkeydown, getOnkeydowneffect, getOnkeypress, getOnkeypresseffect, getOnkeyup, getOnkeyupeffect, getOnmousedown, getOnmousedowneffect, getOnmousemove, getOnmousemoveeffect, getOnmouseout, getOnmouseouteffect, getOnmouseover, getOnmouseovereffect, getOnmouseup, getOnmouseupeffect, getPanelTooltip, getRenderedOnUserRole, getRenderedStyle, getScrollHeight, getScrollWidth, queueEvent, restoreSeriesState, saveSeriesState, setContextValue, setCurrentStyle, setDraggable, setDragListener, setDragMask, setDragOptions, setDragValue, setDropListener, setDropMask, setDropTarget, setDropTargetScrollerId, setDropValue, setEffect, setHoverclass, setMenuPopup, setOnclick, setOnclickeffect, setOndblclick, setOndblclickeffect, setOnkeydown, setOnkeydowneffect, setOnkeypress, setOnkeypresseffect, setOnkeyup, setOnkeyupeffect, setOnmousedown, setOnmousedowneffect, setOnmousemove, setOnmousemoveeffect, setOnmouseout, setOnmouseouteffect, setOnmouseover, setOnmouseovereffect, setOnmouseup, setOnmouseupeffect, setPanelTooltip, setRenderedOnUserRole, setRenderedStyle, setScrollHeight, setScrollWidth, setValueBinding, setVisible`

    - ### Methods inherited from class javax.faces.component.html.HtmlPanelGroup

      `getLayout, setLayout`

    - ### Methods inherited from class javax.faces.component.UIPanel

      `getFamily`

    - ### Methods inherited from class javax.faces.component.UIComponentBase

      `addClientBehavior, addFacesListener, clearInitialState, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getDefaultEventName, getEventNames, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getListenersForEventClass, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isTransient, markInitialState, processRestoreState, processSaveState, processValidators, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, subscribeToEvent, unsubscribeFromEvent`

    - ### Methods inherited from class javax.faces.component.UIComponent

      `encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView, setValueExpression, visitTree`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### COMPONENT_TYPE

          public static final java.lang.String COMPONENT_TYPE

      The component type.
      See Also:
        Constant Field Values

    - #### DEFAULT_RENDERER_TYPE

          public static final java.lang.String DEFAULT_RENDERER_TYPE

      The default renderer type.
      See Also:
        Constant Field Values

    - #### ICE_TOOLTIP_INFO

          public static java.lang.String ICE_TOOLTIP_INFO

  - ### Constructor Detail

    - #### PanelTooltip

          public PanelTooltip()

  - ### Method Detail

    - #### encodeBegin

          public void encodeBegin(javax.faces.context.FacesContext context)
                           throws java.io.IOException

      Overrides:
        `encodeBegin` in class `javax.faces.component.UIComponentBase`
      Throws:
        `java.io.IOException`

    - #### getHoverDelay

          public int getHoverDelay()

    - #### setHoverDelay

          public void setHoverDelay(int hoverDelay)

    - #### getHideOn

          public java.lang.String getHideOn()

    - #### setHideOn

          public void setHideOn(java.lang.String hideOn)

    - #### isDynamic

          public boolean isDynamic()

      Returns:
        true if the tooltip is dynamic.

    - #### getTooltipSrcComponent

          public javax.faces.component.UIComponent getTooltipSrcComponent()

      Deprecated.

    - #### setTooltipSrcComponent

          public void setTooltipSrcComponent(javax.faces.component.UIComponent tooltipSrcComponent)

      Deprecated.

    - #### getStyleClass

          public java.lang.String getStyleClass()

      Description copied from class: `HtmlPanelGroup`

      Return the value of the `styleClass` property.

      Overrides:
        `getStyleClass` in class `PanelPopup`

    - #### setStyleClass

          public void setStyleClass(java.lang.String styleClass)

      Overrides:
        `setStyleClass` in class `PanelPopup`

    - #### updateModal

          public void updateModal(javax.faces.context.FacesContext context)

    - #### processUpdates

          public void processUpdates(javax.faces.context.FacesContext context)

      Overrides:
        `processUpdates` in class `javax.faces.component.UIComponentBase`

    - #### applyStyle

          public void applyStyle(javax.faces.context.FacesContext facesContext,
                                 org.w3c.dom.Element root)

      Overrides:
        `applyStyle` in class `PanelPopup`

    - #### decode

          public void decode(javax.faces.context.FacesContext context)

      Overrides:
        `decode` in class `HtmlPanelGroup`

    - #### decodeTooltip

          public static void decodeTooltip(javax.faces.context.FacesContext facesContext,
                                           javax.faces.component.UIComponent target)

    - #### populateTooltipInfo

          public static void populateTooltipInfo(javax.faces.context.FacesContext facesContext,
                                                 javax.faces.component.UIComponent target,
                                                 java.lang.String tooltipinfo)

    - #### getTooltipInfo

          public static TooltipInfo getTooltipInfo(javax.faces.component.UIComponent tooltipComponent,
                                                   java.lang.String tooltipClientId)

    - #### getDisplayListener

          public javax.faces.el.MethodBinding getDisplayListener()

      Return the value of the `displayListener` property.

    - #### setDisplayListener

          public void setDisplayListener(javax.faces.el.MethodBinding displayListener)

      Set the value of the `displayListener` property.

    - #### broadcast

          public void broadcast(javax.faces.event.FacesEvent event)
                         throws javax.faces.event.AbortProcessingException

      Overrides:
        `broadcast` in class `HtmlPanelGroup`
      Throws:
        `javax.faces.event.AbortProcessingException`

    - #### isVisible

          public boolean isVisible()

      Return the value of the `visible` property.

      Overrides:
        `isVisible` in class `HtmlPanelGroup`

    - #### restoreState

          public void restoreState(javax.faces.context.FacesContext context,
                                   java.lang.Object state)

      Description copied from class: `HtmlPanelGroup`

      Perform any processing required to restore the state from the entries in the state Object.

      Specified by:
        `restoreState` in interface `javax.faces.component.StateHolder`
      Overrides:
        `restoreState` in class `PanelPopup`

    - #### saveState

          public java.lang.Object saveState(javax.faces.context.FacesContext context)

      Description copied from class: `HtmlPanelGroup`

      Gets the state of the instance as a `Serializable` Object.

      Specified by:
        `saveState` in interface `javax.faces.component.StateHolder`
      Overrides:
        `saveState` in class `PanelPopup`

    - #### setDisplayOn

          public void setDisplayOn(java.lang.String displayOn)

    - #### getDisplayOn

          public java.lang.String getDisplayOn()

    - #### isMoveWithMouse

          public boolean isMoveWithMouse()

    - #### setMoveWithMouse

          public void setMoveWithMouse(boolean moveWithMouse)

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.